Subject: Re: [PATCH gnome-team v2 0/3] Update girara (better)

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 09 Mar 2024 19:40:16 +0100

Am Samstag, dem 09.03.2024 um 12:58 -0500 schrieb Maxim Cournoyer:
> Hello,
> 
> Vivien Kraus <[email-masked]> writes:
> 
> > Dear guix,
> > 
> > I split the cosmetic changes, and also split the non-cosmetic
> > change in 2.
> > json-glib is an optional dependency, so girara can exist with and
> > without it.
> > 
> > You were right, pango is already propagated from gtk+.
> > 
> > I also reordered the fields, but it does not look very intuitive,
> > because it looks like I moved the arguments field up and the
> > native-inputs field down instead of moving native-inputs and
> > propagated-inputs down (thanks git).
> > Should I also split the style update?
> > 
> > Best regards,
> > 
> > Vivien
> > 
> > Vivien Kraus (3):
> >   gnu: girara: Update style.
> >   gnu: girara: Update to 0.4.3.
> >   gnu: girara: Build with json-glib.
> > 
> 
> Reviewed-by: Maxim Cournoyer <maxim.cournoyer@gmail>
Hi, I've went ahead and pushed 1 and 2.  For 3, I'd like you to clarify
whether we ought to use propagated-inputs now or how else to handle
this.

Cheers